# Imagick::getImageProperty

(PECL imagick 2.0.0)

Imagick::getImageProperty — Returns the named image property

### Description

Imagick::getImageProperty ( string `$name` ) : string

Returns the named image property. This method is available if Imagick has been compiled against ImageMagick version 6.3.2 or newer.

### Parameters

`name`

  name of the property (for example Exif:DateTime)

### Examples

Example #1 Using Imagick::getImageProperty():

Setting and getting image property

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### See Also

- Imagick::setImageProperty() - Sets an image property

### Return Values

Returns a string containing the image property, false if a property with the given name does not exist.